=== debian/changelog ===
ros-eloquent-plansys2-executor (0.0.17-1bionic) bionic; urgency=high

  * Adjust calls to BT API
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 11 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.16-1bionic) bionic; urgency=high

  * Merge pull request #28 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/28> from mjcarroll/remove_boost_optional
    [eloquent] Remove boost::optional
  * Remove boost::optional and fix build
  * Contributors: Francisco Martín Rico, Michael Carroll

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 11 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.15-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 09 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.14-1bionic) bionic; urgency=high

  * Merge pull request #26 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/26> from mjcarroll/reduce_deps
    [Eloquent] Reduce unnecessary dependencies
  * Prune test_dependencies
  * Remove CMAKE_BUILD_TYPE
  * Contributors: Francisco Martín Rico, Michael Carroll

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.13-1bionic) bionic; urgency=high

  * Add Threads to cmake. RELEASE build type
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 05 Aug 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.12-1bionic) bionic; urgency=high

  * Add dependencies for tests
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 26 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.11-1bionic) bionic; urgency=high

  * Changes in BTActionNode
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 25 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.10-1bionic) bionic; urgency=high

  * Upgrade to behavior_tree_v3 3.5.1
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 19 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.9-1bionic) bionic; urgency=high

  * Fix Boost dependency
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 06 Jul 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.8-1bionic) bionic; urgency=high

  * Boost:optional
  * Support for BT actions
  * Add BT support
  * Contributors: Francisco Martin Rico, Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 26 Jun 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.7-1bionic) bionic; urgency=high

  * ActionExecutorClient is cascade_lifecycle
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico, Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 26 Mar 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.6-1bionic) bionic; urgency=high

  * Run in separate namespaces. Monolothic node
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico, Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 23 Mar 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.5-1bionic) bionic; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 12 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.4-1bionic) bionic; urgency=high

  * Adding missing action dependencies
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 09 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.3-1bionic) bionic; urgency=high

  * Add popf dependency
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 09 Jan 2020 00:00:00 -0000

ros-eloquent-plansys2-executor (0.0.2-1bionic) bionic; urgency=high

  * Merge pull request #16 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/16> from IntelligentRoboticsLabs/pddl_parser_rename
    Rename pddl_parser
  * Rename pddl_parser
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Merge pull request #15 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/15> from IntelligentRoboticsLabs/example_rename
    Rename example. Small bug in timeouts
  * Linting
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Rename example. Small bug in timeouts
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Merge pull request #12 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/12> from IntelligentRoboticsLabs/actions_composition
    Define rate dynamically
  * Define rate dynamically
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Packages.xml description
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Adding documentation
    Signed-off-by: Francisco Martin Rico <mailto:fmartin@gsyc.urjc.es>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Setting CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * onActivate and onFinished methods for Action Clients
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * First functional version complete
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Execute actions independiently. Example
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Change to lowercasegit
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Executor initial version

