=== debian/control ===
Source: ros-eloquent-plansys2-executor
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-program-options-dev, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-index-cpp, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-behaviortree-cpp-v3, ros-eloquent-geometry-msgs, ros-eloquent-lifecycle-msgs, ros-eloquent-plansys2-domain-expert, ros-eloquent-plansys2-msgs, ros-eloquent-plansys2-pddl-parser, ros-eloquent-plansys2-planner, ros-eloquent-plansys2-problem-expert, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclcpp-cascade-lifecycle, ros-eloquent-rclcpp-lifecycle, ros-eloquent-test-msgs, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-plansys2-executor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ament-index-cpp, ros-eloquent-behaviortree-cpp-v3, ros-eloquent-lifecycle-msgs, ros-eloquent-plansys2-domain-expert, ros-eloquent-plansys2-msgs, ros-eloquent-plansys2-pddl-parser, ros-eloquent-plansys2-planner, ros-eloquent-plansys2-problem-expert, ros-eloquent-popf, ros-eloquent-rclcpp, ros-eloquent-rclcpp-action, ros-eloquent-rclcpp-cascade-lifecycle, ros-eloquent-rclcpp-lifecycle, ros-eloquent-ros-workspace
Description: This package contains the Executor module for the ROS2 Planning System
